body{
	/*background: #fafafa;*/
    /*word-break: break-word;*/
}
.content-sidebar-wrap {
    position: relative;
    display: grid;
    grid-template-columns: minmax(580px,830px) minmax(300px,300px);
    gap: 30px;
    padding-top: 15px;
}
.content-wrap {
    position: relative;
}
.sidebar-primary {
    position: relative;
}
.site-container{
    position: relative;
    margin: auto;
    max-width: 1200px;
    overflow-y: auto;
}

.sidebar{
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    display: flex;
    flex-direction: column;
   /* align-self: flex-start; 
     height: 100vh;*/
}
.sidebar img{
    max-width: 100%;
    border-radius: 5px;
    margin-bottom: 15px;
    margin-top: 15px;
}
.sidebar .h2{
    border-bottom: 3px solid #2ea6bc;
    padding-bottom: 10px;
    margin-bottom: 7px;
}
.sidebar .glyphicon{
    color:#2ea6bc;
}
.sidebar .article-data .post-views {
    float: right;
    margin: 0px;
}
.article-data{
    color: #a5a5a5;
    font-size: 12px;
}
.article-data i{
    font-size: 12px;
    margin-right: 10px;
}
.sidebar .item .h3{
    margin-top: 10px;
}
.sidebar .item{
    margin-bottom: 15px;
}
.sidebar .item a{
    color: #40424e;
}
.sidebar .item a:hover{
    text-decoration: none;
}


.text_art h2{
    margin-bottom: 25px;
}
.text_art h3, .text_art h4{
    margin-top: 20px;
    margin-bottom: 20px;
}
.text_art ul{
    margin-bottom: 20px;
    margin-top: 20px;
}
.text_art ul {
  list-style: none; /* Remove default bullets */
}
.text_art ul li::before {
  content: "\2022";  /* Add content: \2022 is the CSS Code/unicode for a bullet */
  color: #2ea6bc; /* Change the color */
  font-weight: bold; /* If you want it to be bold */
  display: inline-block; /* Needed to add space between the bullet and the text */
  width: 10px; /* Also needed for space (tweak if needed) */
  margin: 5px 10px;
  left: 1.5em;
    position: absolute;
}
.text_art ol{
  counter-reset: myCounter;
}

.text_art ol li{
  list-style: none;
}

.text_art ol li:before {
   counter-increment: myCounter;
   content:counter(myCounter);
   color: white;
   font-weight: bolder;
   border-radius: 3px;
   background: #2ea6bc;
   display: inline-block;
   text-align: center;
   margin: 10px 10px 3px 0px;
   line-height: 30px;
   width: 30px;
   height: 30px;
}

#app{
    overflow: auto;
}
.content-wrap .container{
    width: 100%;
}
.page_content{
    background: white;
    padding: 0px 19px 50px;
    border-radius: 10px;
    /*max-width: 1200px;*/
    margin-right: auto;
    margin-left: auto;
    margin-bottom: 50px;
}
.row{
	margin-right: 0px !important;
	margin-left: 0px !important;
}
.top_logo{
	text-align: center;
	padding-top: 10px;
	padding-bottom: 5px;
	border-bottom: 1px solid #e2e2e2;
}
.navbar-name{
	font-weight: bold;
	font-size: 23px;
	color: #018c38;
}
.logo_img{
	height: 65px;
	margin-right: 10px
}

.art_meta{
    overflow: hidden;
    padding-bottom: 10px;
    border-bottom: 3px solid #2ea6bc;
}
.art_meta .glyphicon{
    color: #2ea6bc;
}
.date_art{
    margin-top: 5px;
    color: #6d6d6d;
    float: left;
}
.post-views{
    color: #6d6d6d;
    float: right;
}
.post-views i, .date_art i{
    margin-right: 10px;
    font-size: 12px;
}

.navbar-name:hover{
	text-decoration: none;
	color: #05ab47;
}
#custom-navbar{
	/*border-top: 1px solid #ebebeb;*/
    box-shadow: 0 15px 10px -15px #1e204b2b;
    min-height: 48px;
    overflow: hidden;
    background: rgb(46 166 188);
   /* background: rgb(87,93,177);
    background: linear-gradient(180deg, rgba(87,93,177,1) 0%, rgba(51,133,144,1) 100%);*/
}
#custom-navbar ul li a{
	color: white;
	font-weight: bold;
    font-size: 18px;
    padding-top: 18.5px;
    padding-bottom: 18.5px;
}
#custom-navbar ul li a:hover{
    background: #198195;
}
.article_block_short{
	padding: 30px 0;
	border-bottom: 1px solid #e2e2e2;
    margin-left: 1%;
}
.article_block_short .article_short_head a{
	line-height: 1.1;
    text-decoration: none;
    font-weight: 600;
    font-size: 14pt;
    color: #273239;
}
.article_block_short .article_short_desc{
	padding-top: 10px;
    letter-spacing: .01rem;
    color: #7b7a7a;
}
.article_block_short .article_short_desc a{
	color: #018c38;
}
.text_art{
	margin-top: 30px;
    letter-spacing: .015rem;
    line-height: 1.67;
    font-family: "urw-din",sans-serif;
    font-size: 17px;
    color: #40424e;
}
.text_art img{
	max-width: 100%;
}
.code-gutter{
	display: none;
}

.text_art button{
    background: #2ea6bc;
    border-radius: 4px;
    font-weight: bolder;
}
.text_art button:hover{
    background: #198195;
}
.noIdeBtnDiv .tabtitle{
	padding-top: 11px;
    background: #fff;
    border-color: #ddd;
    color: #ec4e20;
    padding-bottom: 11px;
    margin-top: 0;
    position: relative;
    top: 1px;
    font-size: 21px;
}
.noIdeBtnDiv code{
	background: white !important;
}
.noIdeBtnDiv .undefined.spaces{
	padding-left: 38px;
}
.code-block {
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
}
.code-output-container{
	display: none;
}
.editor-buttons-container {
    bottom: 0;
    left: 0;
    position: sticky;
    position: -webkit-sticky;
    top: 120px;
    width: 40px;
}
.editor-buttons {
    align-items: center;
    display: flex;
    flex-flow: column;
    padding-top: 6px;
    top: 0;
    width: 40px;
    z-index: 1;
}
.code-container {
	border-radius: 1px;
	border: 1px solid #ddd;
    flex: 1;
    min-width: 0;
    overflow-y: hidden;
    width: 100%;
    margin-bottom: 10px;
}
.syntaxhighlighter {
    background-color: #fff!important;
}
.syntaxhighlighter {
    width: 100%!important;
    margin: 1em 0 1em 0!important;
    position: relative!important;
    overflow: auto!important;
    font-size: 1em!important;
    margin-left: 5px;
}
.syntaxhighlighter table {
    width: 100%!important;
}
.syntaxhighlighter table td.code {
    width: 100%!important;
}
.syntaxhighlighter table td.code .container {
    position: relative!important;
    width: 100% !important;
}
.syntaxhighlighter.nogutter td.code .container textarea, .syntaxhighlighter.nogutter td.code .line {
    padding-left: 0!important;
}
.syntaxhighlighter .keyword {
    font-weight: 700!important;
}
.syntaxhighlighter .keyword {
    color: #069!important;
}
.syntaxhighlighter .plain, .syntaxhighlighter .plain a {
    color: #000!important;
}
.syntaxhighlighter .string, .syntaxhighlighter .string a {
    color: #00f!important;
}
.syntaxhighlighter .value {
    color: #090!important;
}
.syntaxhighlighter .functions {
    color: #ff1493!important;
}


.footer_block{
	border-top: 3px solid #5463bb;
	font-family: Roboto,sans-serif;
    line-height: 1;
    background: white;
}
.footer_main{
	font-family: sofia-pro,sans-serif;
	padding: 25px 40px 20px 40px;
	max-width: 1170px;
	margin-right: auto;
    margin-left: auto;
    display: flex;
    flex-direction: row;
}
.footer_rights{
	background: #5463bb;
    font-family: sofia-pro,sans-serif;
    height: 40px;
    display: flex;
    padding-left: 40px;
    color: #fff;
    align-items: center;
    margin-top: auto;
    margin-bottom: auto;
    justify-content: center;
}
.footer_info{
	display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}
.footer_info .footer_name{
	font-weight: bold;
    font-size: 23px;
    color: #018c38;
}
.footer_info a:hover{
	text-decoration: none;
}
.footer_img{
	max-width: 70px;
	margin-bottom: 20px;
}
.footer_name img{
    max-width: 200px !important;
}
.footer_links{
	display: flex;
    flex-grow: 1;
    flex-direction: row;
    justify-content: space-around;
}
.footer_links_block{
	display: flex;
	list-style: none;
    flex-direction: column;
    margin-block-start: 1em;
    margin-block-end: 1em;
    margin-inline-start: 0;
    margin-inline-end: 0;
    padding-inline-start: 40px;
}
.footer_links_block .flb_name{
	color: #5463bb;
    font-size: 13.5pt;
    font-weight: 600;
    padding-bottom: 10px;
}
.footer_links_block li{
	padding-bottom: 6px;
    line-height: 1.67;
}
.footer_links_block li a{
	font-size: 11pt;
    text-decoration: none;
    color: #696969;
}
.pagination > li > a, .pagination > li > span{
	color: black !important;
}
.pagination > .active > a, .pagination > .active > span, .pagination > .active > a:hover, .pagination > .active > span:hover, .pagination > .active > a:focus, .pagination > .active > span:focus{
	color: white !important;
	font-weight: bold;
	background: #018c38;
}
.pagination_nav{
	margin-top: 20px;
	margin-bottom: 50px;
}
.mobile_menu_button{
	z-index: 1024!important;
    padding: 5px;
    font: normal normal normal 16px/1 Roboto;
    text-transform: uppercase;
    width: 20px;
}
.site-container table{
     white-space: normal;
    max-width: 100%;
    width: 100%;
    margin-bottom: 20px;
    border-collapse: collapse;
    /*white-space: nowrap;*/

}
.site-container table td, .site-container table th{
    /*overflow-wrap: break-word;*/
}
.mob_menu_line{
	display: block;
    position: relative;
    width: 25px;
    height: 3px;
    border-radius: 30px;
    left: 0;
    /*margin-left: 15px;*/
    margin-right: 25px;
    background-color: #fff!important;
    -webkit-transition: .2s ease;
    -ms-transition: .2s ease;
    -moz-transition: .2s ease;
    -o-transition: .2s ease;
    transition: .2s ease;
}
.mb_line_1{
	top: 7px;
}
.mb_line_2{
	top: 13px;
}
.mb_line_3{
	top: 20px;
}
#mobileMenu{
	display: none;
}
.mobile_menu_button{
	display: none;
}
#mobileMenu ul{
	padding-left: 29px;
}
#mobileMenu ul li{
	list-style: none;
	padding: 5px 6px;
}
table thead th{
	background: #6d6d6d;
    padding: 10px 10px;
    margin: 0;
    font-weight: 500;
    font-size: 14pt;
    color: white;
}
table tbody th {
	padding: 14px 10px;
    font-size: 12.5pt;
}
table tbody tr td {
    padding: 14px 10px;
    font-size: 12.5pt;
}
table tbody tr:nth-child(2n) {
    background-color: #ebebeb;
}
.article_tags{
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	margin-top: 20px;
}

.categories_art{
    margin-top: 30px;
}
.tag_list_item a, .cat_link{
    border: 1px solid #2ea6ca;
    padding: 1px 8px 2px 8px;
    border-radius: 4px;
    margin: 4px 8px 4px 0;
    color: #9a9d9f;
    text-decoration: none;
}
.glyphicon{
    color: #2ea6ca;
}
.cat_link:hover{
    color: white;
    text-decoration: none;
    background: #198195;
}
.cat_link .glyphicon{
    margin-right: 5px;
}

#toc_container {
    position: relative;
    margin: 40px 0;
    padding: 35px 50px 40px;
    width: 100%;
    background-color: #2ea6bc12;
    border-radius: 5px;
}
.toc_title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 0;
    font-family: 'Noto Serif',sans-serif;
    font-size: 26px;
    line-height: 1;
}
#toc_container ul.toc_list {
    margin-top: 35px;
    column-count: 2;
    column-gap: 30px;
    font-size: 15px;
    padding-left: 0px;
}
#toc_container ul {
    margin: 0;
}
#toc_container ul li {
    display: block;
    padding-left: 25px;
    width: 100%;
    line-height: 1.5;
    position: relative;
    margin-bottom: 10px;
}
#toc_container ul li:before{
    content: '';
    position: absolute;
    display: block;
    top: 2px;
    left: 0;
    width: 8px;
    height: 20px;
    background-color: unset;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAgAAAALAQMAAAB4VV5mAAAAAXNSR0IB2cksfwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAZQTFRFAAAACV1s4aeMKgAAAAJ0Uk5TAP9bkSK1AAAAG0lEQVR4nGNQYAhg6GBwYVBiEARiFyA7gEEBAB7lAs6soKdhAAAAAElFTkSuQmCC);
    background-position: center;
    background-repeat: no-repeat;
    margin: 0px !important;
}

#toc_container ul li a {
    text-decoration: none;
    color: #095d6c;
}
#toc_container li ul {
    margin-top: 10px;
    padding-left: 30px;
}
#toc_container .toc_toggle {
    margin-left: 30px;
    font-size: 0;
    text-transform: none;
    font-weight: 300;
}
#toc_container .toc_toggle a {
    display: block;
    padding: 6px 15px;
    font-family: 'IBM Plex Sans',sans-serif;
    font-size: 13px;
    line-height: 1;
    text-decoration: none;
    color: #fff;
    background-color: #2ea6bc;
    border-radius: 3px;
}
.toggle_close {
    display: none;
}

blockquote:not([class]) {
    position: relative;
    margin: 40px 0;
    font-size: 16px;
    background-color: #f0f9fa !important;
    border-radius: 5px;
    overflow: hidden;
    padding: 25px 30px 25px 100px !important;
    border-left: 0px !important;
}
blockquote:not([class]):before {
    content: '';
    position: absolute;
    top: calc(50% - 32px);
    width: 64px;
    height: 64px;
    left: 17px;
    background-image: url(data:image/png;base64,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);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}

.rec_block{
    margin-top: 40px;
}
.rec_block h4{
    text-align: center;
    font-weight: bold;
    letter-spacing: .3rem;
    color: #2ea6bc;
    margin-bottom: 30px;
}
.recomended{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    /*height: 100%;*/
    flex-basis: 100%;
}
.recomended_art{
    margin-top: 10px;
    padding-right: 15px;
    margin-bottom: 15px;
    width: calc(33% - 15px);
}
.recomended_art img{
    max-width: 100%;
    border-radius: 10px;
    margin-bottom: 10px;
}
.recomended_art a:hover{
    text-decoration: none;
}
.rec_head{
    font-size: 13pt;
    /*font-weight: bolder;*/
    color: black;
    line-height: 1.3;
}
.rec_head a{
    text-decoration: none;
    color:black;
}
.rec_meta{
    color:#8e8c8c;
    margin-top: 3px;
    font-style: italic;
}

.main_name_block{
    margin-left: 1%;
    font-weight: 400;
    padding-top: 15px;
    padding-bottom: 10px;
    border-bottom: 4px solid #5463bb;
    margin-right: 3%;
    margin-bottom: 15px;

}
.main_name_block.cl2{
    border-bottom: 4px solid #d59434;
}
.main_name_block.cl3{
    border-bottom: 4px solid #3d9682;
}
.blocks_main{
    display: flex;
    flex-wrap: wrap;
}
.blocks_main .bl_block{
    width: 32%;
    margin-right: 1%;
    padding: 10px;
    position: relative;
}
.blocks_main .bl_block a:hover{
    text-decoration: none;
}
.blocks_main .bl_block .block_inside{
    cursor: pointer;
    transition: box-shadow .3s,border-color .3s;
    border-radius: 5px;
    color: white;
    font-size: 23px;
    text-align: center;
    font-weight: bold;
    line-height: 70px;
    height: 70px;
    background-image: linear-gradient(to bottom right,#018c38,#41c173);
}
.blocks_main .bl_block .block_inside.cl2{
    background-image: linear-gradient(to bottom right,#d59434,#fabc4b) !important;
}
.blocks_main .bl_block .block_inside.cl3{
    background-image: linear-gradient(to bottom right,#3d9682,#57d0ba) !important;
}
.blocks_main .bl_block .block_inside:hover{
    box-shadow:0 1px 2px -2px #4b4b4b,0 3px 6px 0 #4b4b4b,0 3px 12px 2px #4b4b4b!important;
}


.art_img_blocks{
    display: flex;
    flex-wrap: wrap;
}
.article_block_big{
    width: 32%;
    margin-right: 1%;
    padding: 10px;
    position: relative;
}
.article_block_big .art_big_inside:hover{
    box-shadow:0 1px 2px -2px #4b4b4b,0 3px 6px 0 #4b4b4b,0 3px 12px 2px #4b4b4b!important;
    border: 0px;
}
.art_big_inside{
    cursor: pointer;
    transition: box-shadow .3s,border-color .3s;
    border: 1px solid #f0f0f0;
    border-radius: 10px!important;
}
.article_block_big .main_block_img img{
    max-width: 100%;
    width: 100%;
    border-radius: 10px 10px 0 0;
    height: 150px!important;
/*    min-height: 195px;
    max-height: 195px;*/
}
.article_block_big .article_big_head{
    height: 120px;
    overflow: hidden;
    padding: 15px;
    font-size: 18px;
    display: flex;
    flex-flow: row wrap;
    font-weight: 400;
    color:#273239;
}
.article_block_big a:hover{
    text-decoration: none;
    color:#273239;
}
.article_block_big .article_tags{
    padding: 15px;
}

.main_art_img{
    text-align: center;
}
.main_art_img img{
    margin-top: 15px;
    margin-bottom: 15px;
    border-radius: 5px !important;
    max-width: 100%;
    max-height: 500px;
}

.article_img, .article_body{
    display: flex;
    flex-wrap: wrap;
}
.article_img{
    align-items: center;
    justify-content: center;
}
.article_img img{
    max-width: 300px;
    vertical-align: middle;
    margin-right: 20px;
    height: auto;
    border-radius: 7px;
}
.article_block_short{
    display: flex;
}
figure.wp-caption{
    max-width: 100% !important;
}


.breadcrumbs {
    display: flex;
    flex-wrap: wrap;
    margin: 0 0 20px;
    padding: 0;
    font-size: 15px;
    list-style: none;
    margin-left: 19px;
}
.breadcrumbs li {
    margin-right: 10px;
}
.breadcrumbs a {
    display: flex;
    align-items: center;
    color: #095d6c;
    transition: 0.3s linear;
    text-decoration: none;
}
.breadcrumbs li:first-child a:before {
    content: "";
    width: 11px;
    height: 9px;
    margin-right: 20px;
    background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAsAAAAKAQMAAABYPjbAAAAAAXNSR0IB2cksfwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAZQTFRFAAAACV1s4aeMKgAAAAJ0Uk5TAP9bkSK1AAAAIUlEQVR4nGNQYWDQY2CwZmAwbGBIOMBwLoHBywGK6g8AAEvxBmqYYQAcAAAAAElFTkSuQmCC);
    background-repeat: no-repeat;
    background-position: center;
    transition: 0.3s linear;
}
.breadcrumbs span {
    display: flex;
    align-items: center;
}
.breadcrumbs li:not(:only-child):not(:last-child) a:after {
    content: "";
    width: 3px;
    height: 5px;
    margin-left: 15px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 2.5px 0 2.5px 3px;
    border-color: transparent transparent transparent #095d6c;
    transition: 0.3s linear;
}

.group_add {
    box-shadow: rgb(0 0 0 / 75%) -5px 5px 29px -10px;
    z-index: 2147483649 !important;
    border-radius: 10px;
    width: 300px;
    height: 120px;
    background: rgb(35, 42, 61);
    left: 20px;
    display: block;
    z-index: 9999;
    position: fixed;
    bottom: 20px;
    display: none;
    padding: 15px;
}
.group_add_close {
    right: -13px;
    background: url(data:image/svg+xml;utf8;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iaXNvLTg4NTktMSI/Pgo8IS0tIEdlbmVyYXRvcjogQWRvYmUgSWxsdXN0cmF0b3IgMTYuMC4wLCBTVkcgRXhwb3J0IFBsdWctSW4gLiBTVkcgVmVyc2lvbjogNi4wMCBCdWlsZCAwKSAgLS0+CjwhRE9DVFlQRSBzdmcgUFVCTElDICItLy9XM0MvL0RURCBTVkcgMS4xLy9FTiIgImh0dHA6Ly93d3cudzMub3JnL0dyYXBoaWNzL1NWRy8xLjEvRFREL3N2ZzExLmR0ZCI+CjxzdmcgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIiB4bWxuczp4bGluaz0iaHR0cDovL3d3dy53My5vcmcvMTk5OS94bGluayIgdmVyc2lvbj0iMS4xIiBpZD0iQ2FwYV8xIiB4PSIwcHgiIHk9IjBweCIgd2lkdGg9IjE2cHgiIGhlaWdodD0iMTZweCIgdmlld0JveD0iMCAwIDk1LjkzOSA5NS45MzkiIHN0eWxlPSJlbmFibGUtYmFja2dyb3VuZDpuZXcgMCAwIDk1LjkzOSA5NS45Mzk7IiB4bWw6c3BhY2U9InByZXNlcnZlIj4KPGc+Cgk8cGF0aCBkPSJNNjIuODE5LDQ3Ljk3bDMyLjUzMy0zMi41MzRjMC43ODEtMC43ODEsMC43ODEtMi4wNDcsMC0yLjgyOEw4My4zMzMsMC41ODZDODIuOTU4LDAuMjExLDgyLjQ0OCwwLDgxLjkxOSwwICAgYy0wLjUzLDAtMS4wMzksMC4yMTEtMS40MTQsMC41ODZMNDcuOTcsMzMuMTIxTDE1LjQzNSwwLjU4NmMtMC43NS0wLjc1LTIuMDc4LTAuNzUtMi44MjgsMEwwLjU4NywxMi42MDggICBjLTAuNzgxLDAuNzgxLTAuNzgxLDIuMDQ3LDAsMi44MjhMMzMuMTIxLDQ3Ljk3TDAuNTg3LDgwLjUwNGMtMC43ODEsMC43ODEtMC43ODEsMi4wNDcsMCwyLjgyOGwxMi4wMiwxMi4wMjEgICBjMC4zNzUsMC4zNzUsMC44ODQsMC41ODYsMS40MTQsMC41ODZjMC41MywwLDEuMDM5LTAuMjExLDEuNDE0LTAuNTg2TDQ3Ljk3LDYyLjgxOGwzMi41MzUsMzIuNTM1ICAgYzAuMzc1LDAuMzc1LDAuODg0LDAuNTg2LDEuNDE0LDAuNTg2YzAuNTI5LDAsMS4wMzktMC4yMTEsMS40MTQtMC41ODZsMTIuMDItMTIuMDIxYzAuNzgxLTAuNzgxLDAuNzgxLTIuMDQ4LDAtMi44MjhMNjIuODE5LDQ3Ljk3ICAgeiIgZmlsbD0iI2ZmNzY2YSIvPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+CjxnPgo8L2c+Cjwvc3ZnPgo=) 50% 50% no-repeat;
    background-size: 16px 16px;
    display: block;
    width: 21px;
    height: 21px;
    top: -20px;
    cursor: pointer;
    position: absolute;
    transition: all .1s linear;
}
.group_img {
    float: left;
    width: 52px;
    height: 52px;
    background-size: cover;
    border-radius: 50%;
    background-position: 50% 50%;
    display: table;
    /*background-color: white;*/
}
.group_text_block {
    margin-left: 10px;
    float: left;
    width: calc(100% - 62px);
    display: table;
    height: auto;
    position: relative;
}
.group_title {
    color: #fff;
    font-size: 15px !important;
    font-weight: 700;
    margin-bottom: 5px;
}
.group_text {
    color: #8f99ac;
    font-weight: 400;
    margin-bottom: 10px;
    font-size: 13px !important;
}



@media(max-width: 1000px){
    .content-sidebar-wrap{
        display: block;
    }
    .sidebar{
        display: none;
    }
}



@media (max-width: 768px){
    .main_name_block{
        margin-top: 0px;
    }
	#mobileMenu{
		margin-top: 26px;
	}
	.mobile_menu_button{
		position: relative;
		display: block;
	}
	#custom-navbar{
		position: relative;
	}
	.recomended_art{
		width: 100%;
	}
    .article_block_big{
        width: 49%;
    }
    .article_block_big .main_block_img img{
        height: 160px!important;
    }
    .article_img{
        width: 100%;
    }

    .article_img{
        margin-bottom: 15px;
        text-align: center;
    }
    #toc_container ul.toc_list{
        font-size: 17px;
    }
    #toc_container ul li{
        padding-left: 10px;
    }
    .text_art ul, .text_art ol{
        padding-left: 30px;
    }
   /* .article_img img{
        max-width: 500px;
    }*/
}
@media (max-width:600px){
    .footer_info{
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 20px;
    }
    .footer_main{
        flex-wrap: wrap;
    }
    #toc_container ul.toc_list{
        column-count: 1;
    }
    #toc_container{
        padding: 35px 30px;
    }
    .page_content{
        padding: 0 20px 20px 20px;
    }
    .blocks_main .bl_block{
        width: 49% !important;
        font-size: 20px;
    }
    .article_block_big{
        width: 98%;
    }
    .article_block_big .main_block_img img{
        height: auto !important;
    }
    .article_block_big .article_big_head{
        height: auto !important;
    }
    .article_img img{
        max-width: calc(100% - 20px);
    }
    .cat_link{
        display: inline-table;
        margin-bottom: 5px;
    }
     .article_block_short{
        display: block;
    }
    .article_img, .article_body{
        display: block;
    }
    .article_block_short .block_img img{
        width: 100%;
        margin-bottom: 20px;
    }
}
@media (max-width:420px){
	.footer_links{
		flex-wrap: wrap;
	}
	.footer_links_block{
		align-items: center;
		flex-basis: 100%;
		padding-left: 0px !important;
	}
    .logo_img{
        max-width: 100%;
        height: auto;
    }
}
